// file: /usr/lib/librewolf/browser/defaults/preferences/stackrpms-librewolf-prefs.js
// deployed with librewolf-prefs-stackrpms package (rpm or dpkg) built by bgstack15
// last modified 2022-10-12
// reference:
//    https://support.mozilla.org/en-US/kb/customizing-firefox-using-autoconfig
//    vm2 librewolf user profile prefs.js
pref("accessibility.typeaheadfind.flashBar", 0);
pref("app.normandy.first_run", false);
pref("app.normandy.migrationsApplied", 12);
pref("stackrpms-librewolf-prefs.js.version", "20221012.145942");
pref("browser.allTabs.previews", false);
pref("browser.backspace_action", 0);
pref("browser.bookmarks.restore_default_bookmarks", false);
pref("browser.compactmode.show", true);
pref("browser.ctrlTab.migrated", true);
pref("browser.ctrlTab.previews", false);
pref("browser.ctrlTab.recentlyUsedOrder", false);
pref("browser.download.improvements_to_download_panel", false);
pref("browser.download.useDownloadDir", true);
pref("browser.download.useDownloadDir", true);
pref("browser.engagement.ctrlTab.has-used", true);
pref("browser.engagement.downloads-button.has-used", true);
pref("browser.formfill.enable", true);
pref("browser.newtab.choice", 1);
pref("browser.newtabpage.activity-stream.migrationExpired", true);
pref("browser.newtabpage.activity-stream.prerender", false);
pref("browser.newtabpage.activity-stream.showSearch", false);
pref("browser.newtabpage.activity-stream.showTopSites", false);
pref("browser.newtabpage.directory.ping", "http://127.0.0.1:9999/");
pref("browser.newtabpage.directory.source", "http://127.0.0.1:9999/");
pref("browser.newtabpage.enabled", false);
pref("browser.newtabpage.enhanced", false);
pref("browser.newtabpage.storageVersion", 1);
pref("browser.search.update", false);
pref("browser.sessionstore.restore_on_demand", false);
pref("browser.startup.page", 3);
pref("browser.startup.page", 3);
pref("browser.tabs.closeWindowWithLastTab", false);
pref("browser.toolbars.bookmarks.visibility", "always");
pref("browser.uiCustomization.state", "{\"placements\":{\"widget-overflow-fixed-list\":[],\"nav-bar\":[\"back-button\",\"forward-button\",\"stop-reload-button\",\"urlbar-container\",\"save-to-pocket-button\",\"downloads-button\",\"fxa-toolbar-menu-button\",\"ublock0_raymondhill_net-browser-action\"],\"toolbar-menubar\":[\"menubar-items\"],\"TabsToolbar\":[\"tabbrowser-tabs\",\"new-tab-button\",\"alltabs-button\"],\"PersonalToolbar\":[\"personal-bookmarks\"]},\"seen\":[\"developer-button\",\"ublock0_raymondhill_net-browser-action\"],\"dirtyAreaCache\":[\"nav-bar\",\"PersonalToolbar\",\"toolbar-menubar\",\"TabsToolbar\"],\"currentVersion\":17,\"newElementCount\":3}");
pref("browser.uidensity", 1);
pref("browser.urlbar.placeholderName", "DuckDuckGo");
pref("browser.urlbar.placeholderName.private", "DuckDuckGo");
pref("browser.urlbar.showSearchSuggestionsFirst", false);
pref("browser.urlbar.suggest.quicksuggest.sponsored", false);
pref("dom.security.https_only_mode", false);
pref("extensions.webextensions.ExtensionStorageIDB.migrated.uBlock0@raymondhill.net", true);
pref("extensions.webextensions.uuids", "{\"formautofill@mozilla.org\":\"932d9ca1-4ab4-4176-908a-775a8c5c232b\",\"pictureinpicture@mozilla.org\":\"d20931db-dda1-4902-85fd-c324857cc611\",\"proxy-failover@mozilla.com\":\"9511d4e1-5bce-4214-90ba-cf9004a1896a\",\"screenshots@mozilla.org\":\"74a504ec-3b68-40db-b8de-213e87ec1f0d\",\"default-theme@mozilla.org\":\"e2607c67-dc48-4ce0-99c9-9422500c5397\",\"addons-search-detection@mozilla.com\":\"00ce34b6-f943-4060-970e-7ab093b1263f\",\"wikipedia@search.mozilla.org\":\"fd8e14ab-a33d-4393-8023-6a8a34382417\",\"ddg@search.mozilla.org\":\"e810f6e1-24e9-4e11-9a36-3be0691aef77\",\"uBlock0@raymondhill.net\":\"44aaf03a-52f1-402c-9300-d41904ab3746\"}");
// These two have to stay undefined in Firefox 77+ in order for the drop-down for autocompletion to still work.
//pref("browser.urlbar.disableExtendForTests", true);
//pref("browser.urlbar.maxRichResults", 0);
pref("browser.startup.homepage", "https://start.duckduckgo.com/");
pref("browser.urlbar.trimURLs", false);
pref("browser.urlbar.update1", false);
pref("browser.xul.error_pages.enabled", false);
pref("camera.control.face_detection.enabled", false);
pref("canvas.filters.enabled", false);
pref("canvas.focusring.enabled", false);
pref("canvas.path.enabled", false);
pref("captivedetect.canonicalURL", "http://127.0.0.1:9980");
pref("devtools.devedition.promo.url", "http://127.0.0.1:9999/");
pref("dom.event.clipboardevents.enabled", false);
pref("experiments.manifest.uri", "http://127.0.0.1:9999/");
pref("extensions.blocklist.detailsURL", "http://127.0.0.1:9999/");
pref("extensions.blocklist.itemURL", "http://127.0.0.1:9999/");
pref("extensions.enabledAddons", "%7B972ce4c6-7e08-4474-a285-3208198ce6fd%7D:28.3.0");
pref("extensions.pictureinpicture.enable_picture_in_picture_overrides", true);
pref("extensions.pocket.api", "http://localhost:9980");
pref("extensions.pocket.enabled", false);
pref("extensions.pocket.site", "http://localhost:9980");
pref("extensions.shownSelectionUI", true);
pref("extensions.update.autoUpdateDefault", false);
pref("general.warnOnAboutConfig", false);
pref("media.videocontrols.picture-in-picture.allow-multiple", false);
pref("media.videocontrols.picture-in-picture.enabled", false);
pref("media.videocontrols.picture-in-picture.video-toggle.enabled", false);
pref("media.videocontrols.picture-in-picture.video-toggle.has-used", true);
pref("network.automatic-ntlm-auth.trusted-uris", ".ipa.smith122.com");
pref("network.cookie.lifetimePolicy", 0);
pref("network.cookie.prefsMigrated", true);
pref("network.http.spdy.enabled", false);
pref("network.negotiate-auth.trusted-uris", ".ipa.smith122.com");
pref("network.stricttransportsecurity.preloadlist", false);
// Control DNS over HTTPS (DoH) and Trusted Recursive Resolver (TRR).
// More about DoH: https://github.com/bambenek/block-doh
// https://blog.nightly.mozilla.org/2018/06/01/improving-dns-privacy-in-firefox/
// https://support.mozilla.org/en-US/kb/configuring-networks-disable-dns-over-https
// https://wiki.mozilla.org/Trusted_Recursive_Resolver
// 0: Off by default, 1: Firefox chooses faster, 2: TRR default w/DNS fallback,
// 3: TRR only mode, 4: Use DNS and shadow TRR for timings, 5: Disabled.
pref("network.trr.mode", 0);
pref("places.history.enabled", true);
pref("pref.privacy.disable_button.cookie_exceptions", false);
pref("pref.privacy.disable_button.view_passwords", false);
pref("privacy.annotate_channels.strict_list.enabled", true);
pref("privacy.donottrackheader.enabled", true);
pref("privacy.partition.network_state.ocsp_cache", true);
pref("privacy.purge_trackers.date_in_cookie_database", "0");
pref("privacy.purge_trackers.last_purge", "1641399136538");
pref("privacy.resistFingerprinting.autoDeclineNoUserInputCanvasPrompts", false);
pref("privacy.resistFingerprinting", false);
pref("privacy.sanitize.migrateFx3Prefs", true);
pref("privacy.sanitize.pending", "[{\"id\":\"newtab-container\",\"itemsToClear\":[],\"options\":{}}]");
pref("privacy.sanitize.pending", "[{\"id\":\"newtab-container\",\"itemsToClear\":[],\"options\":{}},{\"id\":\"newtab-container\",\"itemsToClear\":[],\"options\":{}}]");
pref("privacy.sanitize.sanitizeOnShutdown", false);
pref("privacy.sanitize.sanitizeOnShutdown", false);
pref("privacy.trackingprotection.enabled", true);
pref("privacy.trackingprotection.socialtracking.enabled", true);
pref("privacy.userContext.enabled", false);
pref("reader.parse-on-load.enabled", false);
pref("security.cert_pinning.enforcement_level", 0);
pref("services.sync.declinedEngines", "");
pref("services.sync.serverURL", "http://127.0.0.1:9999/");
pref("services.sync.tabs.lastSync", "0");
pref("services.sync.tabs.lastSyncLocal", "0");
pref("signon.autofillForms", true);
pref("signon.autofillForms", true);
pref("signon.importedFromSqlite", true);
pref("signon.rememberSignons", true);
pref("startup.homepage_override_url", "");
pref("startup.homepage_welcome_url", "http://127.0.0.1:9999/");
pref("toolkit.telemetry.reportingpolicy.firstRun", false);
// show menu
pref("ui.key.menuAccessKeyFocuses", false);
pref("widget.gtk.overlay-scrollbars.enabled", false);
pref("widget.non-native-theme.gtk.scrollbar.allow-buttons", true);
pref("widget.non-native-theme.scrollbar.size.override", 18);
pref("widget.non-native-theme.scrollbar.style", 2);
pref("xpinstall.whitelist.add", "");
